<?php
	session_start(); //Se abre las variables de sesion
	class Login extends Controller {
		protected $_loginModel;

		public function __construct() {
			$this->_loginModel = $this->model('LoginModel');
		}

		public function index() {//Metodo principal es el primero en ejecutarse.
		
			if(isset($_SESSION['UsuarioId']) && $_SESSION['UsuarioEstado'] == 1){
				if($_SESSION['TipoUsuarioId'] == 1){
					redirect("/UploadFile"); // redirecciona a la pagina principal una vez haya iniciado sesión.
				}else{
					redirect("/ViewData"); // redirecciona a la pagina principal una vez haya iniciado sesión.
				}
			}else{
				$this->view('Login/index'); //De lo contrario redirecciona al login.	
			}
		}
		
		public function send(){
			
			if($_SERVER['REQUEST_METHOD'] == 'POST'){

				$data = [
					'usuario' => trim($_POST['usuario']),
					'clave' => trim($_POST['clave'])
				];

				$content = $this->_loginModel->send($data);

				if($content[0]){
					if($content[1][0]['estado'] == "A"){//Si esta activo
						
						$_SESSION['UsuarioId'] = $content[1][0]['UsuarioId'];
						$_SESSION['Usuario'] = $content[1][0]['Usuario'];
						$_SESSION['Correo'] = $content[1][0]['Correo'];
						$_SESSION['Nombre'] = $content[1][0]['Nombre'];
						$_SESSION['Apellidos'] = $content[1][0]['Apellidos'];
						$_SESSION['TipoUsuarioId'] = $content[1][0]['TipoUsuarioId'];
						$_SESSION['UsuarioEstado'] = $content[1][0]['estado'];
						
						if(isset($_SESSION['TipoUsuarioId']) && $_SESSION['TipoUsuarioId'] == 1){
							//enviarCorreo($content[1][0]['Correo'], 'Inicio de sesión exitoso', 'Su cuenta ha sido activada');
							redirect("/UploadFile"); // redirecciona a la pagina principal una vez haya iniciado sesión.
						}else if($_SESSION['TipoUsuarioId'] == 2 || $_SESSION['TipoUsuarioId'] == 3){
							//enviarCorreo($content[1][0]['Correo'], 'Inicio de sesión exitoso', 'Su cuenta ha sido activada');
							redirect("/ViewData"); // redirecciona a la seccion de ver datos
						}

					}else if($content[1][0]['estado'] == "I"){

						redirect("/login"); // redirecciona a la pagina principal una vez haya iniciado sesión.
					}	
				}else{
					redirect("/login"); // redirecciona a la pagina principal una vez haya iniciado sesión.
				}	
			}
		}

		public function exit(){//Metodo que finaliza las variables de sesion y da salida del portal web.
			session_unset(); //Elimina las variables de sesion.
			session_destroy(); //Destruye la sesion.
			$this->index();
		}

	}		
		
?>
